These are chat archives for systemjs/systemjs

19th
Jun 2015
Apcio
@Apcio
Jun 19 2015 09:54
Hi, If I use framework based on system.js, can I import module based on require.js ?
Apcio
@Apcio
Jun 19 2015 10:07
When I try to use r = require('rethinkdb'), then I got error require is not a function
Maeoll Kim
@abyss-outpost
Jun 19 2015 11:04
@Apcio did you first do window.require = System.amdRequire?
Apcio
@Apcio
Jun 19 2015 11:28
@abyss-outpost No I didn't. Where to do it ? Before System.import('aurelia-bootstrap') in index.html ?
Maeoll Kim
@abyss-outpost
Jun 19 2015 11:30
@Apcio its in the documentation for using require/commonjs in systemjs
Apcio
@Apcio
Jun 19 2015 11:33
@abyss-outpost Can I ask for link to this documentation ?
Apcio
@Apcio
Jun 19 2015 11:38

What about config.js ? Do I need to confige it ? Because it show me an error, that cant find '/dist/rethinkdb.js', and in config.js there is property paths: { "": 'dist/.js', ....}

I added some entries:

"paths": {
    "*": "dist/*.js",
       "rdb:*": "node_modules/rethinkdb/*.js",
    "bbird:*": "node_modules/rethinkdb/node_modules/bluebird/js/*.js"
  }
System.config({
  "map": {
"rethinkdb": "rdb:rethinkdb",
    "net": "rdb:net",
    "ast": "rdb:ast",
    "errors": "rdb:errors",
    "cursor": "rdb:cursor",
    "proto-def": "rdb:proto-def",
    "util": "rdb:util",
    "bluebird": "bbird:browser/bluebird",
        "require": "require:bin/require-command",
"rdb:rethinkdb": {
        "events": "npm:events@1.0.2"
    },
    "rdb:cursor": {
        "events": "npm:events@1.0.2"
    }
}});

And the problem is only with event.js Others modules do not throw any error.

Apcio
@Apcio
Jun 19 2015 13:03
OMG I think it could work. I used import rethinkdb from 'rethinkdb'; and in class constructor I set this.rql=rethinkdb; and rql property is now a function. I need to check it will work. Only what I need to do is set config.js and set path and map. Probably, I should set path to every js files in the bluebird directory. I need to check, will it connect to server.
carlosagsmendes
@carlosagsmendes
Jun 19 2015 14:49
This message was deleted
This message was deleted
I'm trying to use the builder but I have a problem with my paths builderpaths
the file I'm trying to bundle main.js has the right path (Repos/JSPMBundling/src/wiki/main.js)
but the path to babel-core is wrong. It is missing the JSPMBundling part of the path
I have babel-core installed locally as mentioned in the instructions
any idea why the path to babel-core is wrong? I'm using the builder 0.12 and jspm 0.16 beta 2
carlosagsmendes
@carlosagsmendes
Jun 19 2015 15:12
If I try changing my transpiler to "none" I get the following error [Error: ENOENT, open 'D:\Repos\JSPMBundling\src\none.js' so apparently it is trying to load a none.js file
Guy Bedford
@guybedford
Jun 19 2015 18:37
@carlosagsmendes ensure you've set your baseURL correctly in the package.json, so that jspm_packages can be found
otherwise if you can share a test case I'd be happy to look into it
Davis Kim
@davis
Jun 19 2015 22:10
anyone know what i can do about files being 200 OK (from cache)
when loading them in chrome?
i've updated source files, and for some reason it doesn't fetch the latest, and i don't want to clear cache after each change i make
ah, i found an option
nvm!
Daniel
@tuurbo
Jun 19 2015 23:26
@davis what did you find? Having similar issue
Davis Kim
@davis
Jun 19 2015 23:57
chrome has an option that prevents loading from cache
open dev tools, click the gear wheel and check disable loading from cache